Navigation

Inscrivez-vous gratuitement
pour pouvoir participer, suivre les réponses en temps réel, voter pour les messages, poser vos propres questions et recevoir la newsletter

ASP Discussion :

Compatibilité OWC Serveur 2016


Sujet :

ASP

  1. #1
    Membre actif
    Compatibilité OWC Serveur 2016
    Bonjour,

    Je migre des portails web depuis un serveur 2008(x64) vers un 2016(x64). Initialement, ils étaient installé sur un 2000(x32).
    Depuis le début, j'utilise le composant OWC pour monté des graphs dans l'applicatif, ce qui marchait plutôt bien, en installant uniquement le composant OWC11.

    Sur le 2016, impossible de le faire fonctionner, ni en installation simple (via l'exe), ni en déclarant comme un object com+...
    Ou bien il me plante tout le pool à la génération du graph, ou bien il me crée des erreurs dans une de ses méthodes (que je n'ai pas changé evidemment...), ce qui tendrait à dire que l'objet à bien été initialisé...

    J'ai essayé aussi en installant une version office 2003 mais pas mieux...

    Auriez vous une info sur une éventuelle incompatibilité du compo avec cet OS ? Une manip à mettre en place pour le faire reconnaitre ?
    J'ai pas mal fouillé sur le net avant de poster ici, comme c'est un objet qui n'est pas tout jeune et que Microsoft a semble t-il pas fait évoluer, peu de retour le concernant sur du 2016.

    Toute info sera bonne à prendre.
    Merci d'avance.

  2. #2
    Membre actif
    Post scriptum
    Après un week end de bataille :
    il semble que le problème se situe dans le fichier d'initialisation de la classe des graphs (le bien nommé chartclass.asp).
    Or le fichier est le même quelque soit le serveur, ce qui tendrait à penser que iiS10 n’interprète pas la création des classes comme ses ainés (??) où qu'un paramètrage ne soit plus natif.
    Toutes suggestions sera bonne à prendre.
    Merci d'avance